Subject: Chipidea usb otg support for IMX/MXS (device functionality)

From: [email-masked] (maxime.ripard at free-electrons.com)
Date: Fri, 7 Jun 2013 11:37:46 +0200

Hi Hector,

On Thu, May 30, 2013 at 06:17:47PM +0200, Hector Palacios wrote:
> Dear Maxime,
> 
> On 05/29/2013 09:50 AM, maxime.ripard at free-electrons.com wrote:
> >Hi,
> >
> >On Wed, May 29, 2013 at 07:11:30AM +0000, Chen Peter-B29397 wrote:
> >>
> >>>Hello,
> >>>
> >>>Am I right in assuming that the MXS USB on-the-go port does not currently
> >>>support the
> >>>device (gadget) functionality?
> >>>Anybody out there working on that?
> >>>
> >>
> >>As far as I know, Maxime Ripard may already let the chipidea durl-role function
> >>work ok at mx28. It may need my chipidea otg patch
> >>
> >>https://github.com/hzpeterchen/linux-usb.git
> >
> >Indeed, I've been using the patchset "Add tested id switch and vbus
> >connect detect support for Chipidea" from Peter for quite some time on
> >top of 3.9 and it works like a charm for the gadget mode on an MX28
> >platform.
> >
> >BTW, Peter, I've seen that these patches are still not merged in 3.10,
> >is there a reason for that? do you plan on sending a version rebased on
> >top of 3.10 some time in the future? I tried to do the rebasing myself,
> >but the chipidea driver seems to have changed quite heavily, which makes
> >the process quite difficult when you don't know what you're doing :)
> 
> I guess you didn't get rid of the 'possible circular locking
> dependency' you talked about at [1], right?

Indeed

> I experimented the same and also a BUG [2] after cable reconnection.
> Despite those, I ran a simple test of serial, ethernet, and
> mass_storage gadgets and they worked fine.

I never experienced the BUG you're mentionning, everything was working
fine except the circular dependency.

> I didn't use the new properties (phy_type, dr_mode...) in the DT of
> my mx28 platform, did you?

Neither did I.

Maxime